Skip to main content

Get an application by external ID

GET 

/nevisidm/api/core/v1/applications/:extId

Since: 2.71.0

Required permission(s): AccessControl.ApplicationView

Returns the application matching the specified external ID, including its language-dependent display names.

Request

Path Parameters

    extId stringrequired

    External ID of the application.

    Example: app-123

Responses

Application found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    External ID of the application.

    name string

    Internal name of the application.

    description string

    Textual description of the application.

    url string

    URL of the application.

    displayed boolean

    Determines whether the application is to be displayed on nevisPortal.

    displayName object

    Language-dependent name of the application. Keys: EN, DE, FR, IT.

    property name* string
Loading...